Loading...
Searching...
No Matches
WNode Class Reference

## Public Member Functions

WVectorVector & | get_data (void)
void | set_subnodes (WNode *l, WNode *r)
void | set_impurity (const WImpurity &imp)
void | set_question (const WQuestion &q)
void | prune (void)
void | held_out_prune (void)
WImpurity & | get_impurity (void)
WQuestion & | get_question (void)
EST_Val | predict (const WVector &w)
WNode * | predict_node (const WVector &d)
int | samples (void) const

## Friends

ostream & | operator<< (ostream &s, WNode &n)

## Detailed Description

Definition at line 222 of file EST_Wagon.h.

## Constructor & Destructor Documentation

## WNode()

WNode::WNode | ( |  | ) |

inline

Definition at line 233 of file EST_Wagon.h.

## ~WNode()

WNode::~WNode | ( |  | ) |

inline

Definition at line 234 of file EST_Wagon.h.

## Member Function Documentation

## get_data()

WVectorVector & WNode::get_data | ( | void |  | ) |

inline

Definition at line 236 of file EST_Wagon.h.

## set_subnodes()

void WNode::set_subnodes | ( | WNode * | l,
|  | WNode * | r )

inline

Definition at line 237 of file EST_Wagon.h.

## set_impurity()

void WNode::set_impurity | ( | const WImpurity & | imp | ) |

inline

Definition at line 238 of file EST_Wagon.h.

## set_question()

void WNode::set_question | ( | const WQuestion & | q | ) |

inline

Definition at line 239 of file EST_Wagon.h.

## prune()

void WNode::prune | ( | void |  | ) |

Definition at line 82 of file wagon_aux.cc.

## held_out_prune()

void WNode::held_out_prune | ( | void |  | ) |

Definition at line 105 of file wagon_aux.cc.

## get_impurity()

WImpurity & WNode::get_impurity | ( | void |  | ) |

inline

Definition at line 242 of file EST_Wagon.h.

## get_question()

WQuestion & WNode::get_question | ( | void |  | ) |

inline

Definition at line 243 of file EST_Wagon.h.

## predict()

EST_Val WNode::predict | ( | const WVector & | w | ) |

Definition at line 50 of file wagon_aux.cc.

## predict_node()

WNode * WNode::predict_node | ( | const WVector & | d | ) |

Definition at line 60 of file wagon_aux.cc.

## samples()

int WNode::samples | ( | void |  | ) | const

inline

Definition at line 246 of file EST_Wagon.h.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | WNode & | n )

friend

Definition at line 151 of file wagon_aux.cc.

The documentation for this class was generated from the following files:

- include/EST_Wagon.h
- stats/wagon/wagon_aux.cc